xine-lib: ao_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
ao_driver_s Struct Reference

`#include <audio_out.h>`

## Data Fields
uint32_t(* | get_capabilities )(ao_driver_t *)
int(* | open )(ao_driver_t *, uint32_t bits, uint32_t rate, int mode)
int(* | num_channels )(ao_driver_t *self_gen)
int(* | bytes_per_frame )(ao_driver_t *self_gen)
int(* | delay )(ao_driver_t *self_gen)
int(* | get_gap_tolerance )(ao_driver_t *self_gen)
int(* | write )(ao_driver_t *, int16_t *audio_data, uint32_t num_samples)
void(* | close )(ao_driver_t *)
void(* | exit )(ao_driver_t *)
int(* | get_property )(ao_driver_t *, int property)
int(* | set_property )(ao_driver_t *, int property, int value)
int(* | control )(ao_driver_t *, int cmd,...)
struct plugin_node_s *node | XINE_PRIVATE_FIELD
| Pointer to the loaded plugin node.

## Field Documentation

## ◆ bytes_per_frame

int(* ao_driver_s::bytes_per_frame) (ao_driver_t *self_gen)

## ◆ close

void(* ao_driver_s::close) (ao_driver_t *)

Referenced by _opensles_open(), ao_exit(), and ao_pulse_open().

## ◆ control

int(* ao_driver_s::control) (ao_driver_t *, int cmd, ...)

## ◆ delay

int(* ao_driver_s::delay) (ao_driver_t *self_gen)

## ◆ exit

void(* ao_driver_s::exit) (ao_driver_t *)

Referenced by _x_free_audio_driver().

## ◆ get_capabilities

uint32_t(* ao_driver_s::get_capabilities) (ao_driver_t *)

Referenced by _x_ao_new_port(), and ao_exit().

## ◆ get_gap_tolerance

int(* ao_driver_s::get_gap_tolerance) (ao_driver_t *self_gen)

Referenced by _x_ao_new_port().

## ◆ get_property

int(* ao_driver_s::get_property) (ao_driver_t *, int property)

Referenced by ao_exit().

## ◆ num_channels

int(* ao_driver_s::num_channels) (ao_driver_t *self_gen)

## ◆ open

int(* ao_driver_s::open) (ao_driver_t *, uint32_t bits, uint32_t rate, int mode)

Referenced by ao_exit().

## ◆ set_property

int(* ao_driver_s::set_property) (ao_driver_t *, int property, int value)

Referenced by _x_ao_new_port().

## ◆ write

int(* ao_driver_s::write) (ao_driver_t *, int16_t *audio_data, uint32_t num_samples)

Referenced by _x_ao_new_port().

## ◆ XINE_PRIVATE_FIELD

struct plugin_node_s* node ao_driver_s::XINE_PRIVATE_FIELD

Pointer to the loaded plugin node.

Used by the plugins loader. It's an opaque type when using the structure outside of xine's build.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/audio_out.h